LNAV(1)

NAME
lnav - ncurses-based log file viewer

SYNOPSIS
lnav [-hVsar] [logfile1 logfile2 ...]

DESCRIPTION
The log file navigator, lnav, is an enhanced log file viewer that takes advantage of any semantic information that can be gleaned from the files being viewed, such as timestamps and log levels. Using this extra semantic information, lnav can do things like interleaving messages from different files, generate histograms of messages over time, and providing hotkeys for navigating through the file. It is hoped that these features will allow the user to quickly and efficiently zero in on problems.

KEY BINDINGS

?   View/leave the online help text.

q   Quit the program.

OPTIONS

-h  Print help and exit

-H  Display the internal help text.

-n  Run without the curses UI. (headless mode)

-c cmd
    Execute a command after the files have been loaded.

-f path
    Execute the commands in the given file.

-I path
    Add the given configuration directory to the search path.

-n  Do not open the default syslog file if no files are given.

-q  Quiet mode. Do not print the log messages after executing all of the commands.

-i  Install the given format files in the $HOME/.lnav/formats/installed directory and exit.

-u  Update formats installed from git repositories.

-C  Check the configuration and exit. The log format files will be loaded and checked. Any files given on the command-line will be loaded checked to make sure they match a log format.

-d file
    Write debug messages to the given file.

-V  Print version information.

-r  Recursively load files from the given directories.

-R  Load older rotated log files as well.

-t  Prepend timestamps to the lines of data being read in on the standard input.

  Optional arguments:

logfile1
    The log files or directories to view. If a directory is given, all of the files in the directory will be loaded.

EXAMPLES
To load and follow the syslog file:

    lnav

To load all of the files in /var/log:

    lnav /var/log

To watch the output of make with timestamps prepended:

    make 2>&1 | lnav -t

AUTHOR
This manual page was written by Salvatore Bonaccorso <carnil@debian.org> for the Debian system (but may be used by others).